{ pkgs ? import <nixpkgs> {}, lib ? pkgs.lib }:
pkgs.mkShellNoCC {
	packages = with pkgs; [ rustup nats-server caddy postgresql clang pkg-config tmux /*you'll *need* tmux*/ ];
	buildInputs = with pkgs; [ openssl clang foundationdb ];
	LIBCLANG_PATH = lib.makeLibraryPath [ pkgs.libclang ];
	shellHook = ''
		rustup install stable
		rustup default stable
		export RUST_LOG=debug
		export NATS_URL="127.0.0.1:4222"
		export NATS_CERT=$(cat cert.pem)
		export NATS_KEY=$(cat key.pem)
		export ASKLYPHE_URL="http://127.0.0.1:8002"
		export AUTH_URL="http://127.0.0.1:8001"
		export DB_URL="postgres://127.0.0.1:5432/user"
		export SMTP_DISABLE=1
		export SMTP_USERNAME=""
		export SMTP_PASSWORD=""
		export SMTP_URL=""
		export POSTGRESQL_PASSWORD="user"
		# lmao
		echo WARNING: RUSTFLAGS="-A dead_code -A unused"
		export RUSTFLAGS="-A dead_code -A unused"
	'';
}
